Subject: [PATCH] gpio: omap: Fix gpiochip_add() handling for deferred probe

From: [email-masked] (Grygorii Strashko)
Date: Mon, 31 Aug 2015 17:37:22 +0300

On 08/31/2015 05:11 PM, Tony Lindgren wrote:
> * Grygorii Strashko <[email-masked]> [150831 02:07]:
>> Hi Tony,
>>
>> On 08/28/2015 09:44 PM, Tony Lindgren wrote:
>>> Currently we gpio-omap breaks if gpiochip_add() returns -EPROBE_DEFER:
>>>
>>> [    0.570000] gpiochip_add: GPIOs 0..31 (gpio) failed to register
>>> [    0.570000] omap_gpio 48310000.gpio: Could not register gpio chip -517
>>> ...
>>> [    3.670000] omap_gpio 48310000.gpio: Unbalanced pm_runtime_enable!
>>
>> I have no objection to the patch itself.
>>
>> But I curious, How have you got this error output? Was it simulated?
> 
> I ran into it when trying to get rid of all the custom initcalls
> for various drivers. And especially if adding dts mappings for
> gpio-ranges to try to find some solution for the 1.158 issue that
> keeps me from having a mainline GPIO PM regresion test with
> pinging wl12xx during off idle :)
> 

Ah. So, -EPROBE_DEFER was returned by of_gpiochip_add_pin_range(),
I was not able to find a place where gpiochip_add() can return -EPROBE_DEFER ;)

Thanks for clarification.

-- 
regards,
-grygorii